For the complete documentation index, see llms.txt. This page is also available as Markdown.

Asset Groups

Returns a list of asset groups (e.g. stablecoins, tokenized RWAs), each with a fully resolved and deduplicated list of constituent assets.

get
/reference-data/asset-groups
Authorizations
api_keystringRequired

Coin Metrics API key can be specified as ?api_key= query parameter.

Query parameters
groupsstring[]Optional

Comma separated list of asset group identifiers (e.g. stablecoin, tokenized_equity). By default all asset groups are returned.

assetsstring[]Optional

Comma separated list of assets. By default all assets are returned. Supports the following formats: <asset> - Coin Metrics asset ticker (e.g., btc), <namespace>:<symbol> - External provider symbol (e.g., talos:BTC), <namespace>:by-id:<id> - External provider numeric ID (e.g., talos:by-id:24). The namespace identifies the external data provider (e.g., talos). The by-id selector indicates lookup by a provider-specific numeric ID rather than symbol.

prettybooleanOptional

Human-readable formatting of JSON responses.

Default: false
Responses
200

List of asset groups with fully resolved, deduplicated constituent assets.

application/json
get/reference-data/asset-groups
GET /v4/reference-data/asset-groups HTTP/1.1
Host: api.coinmetrics.io
Accept: */*
{
  "data": [
    {
      "group": "stablecoin",
      "constituents": {
        "assets": [
          "usdc",
          "usdt",
          "usde"
        ],
        "groups": [
          "stablecoin_usd",
          "stablecoin_eur"
        ]
      }
    }
  ]
}

Last updated